Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.syntax.objdump
Class RawModule

    java.lang.Object
      avrora.syntax.Module
          avrora.syntax.objdump.RawModule

All Implemented Interfaces:
  Context

public class RawModule
extends Module

The `RawModule` is a subclass of `Module` that allows random access when creating a program from an input source. This is needed since the object dump format is special in that each item it prints has its own address, and can have multiple sections.

Nested Class Summary

Nested classes inherited from class avrora.syntax.Module
`Module.Seg`

Field Summary
`protected int` | `currentAddress`
`protected avrora.syntax.objdump.RawModule.Section` | `section`
`protected java.util.HashMap` | `sectionMap`

Fields inherited from class avrora.syntax.Module
`caseSensitivity, constants, dataSegment, definitions, eepromSegment, ERROR, labels, newprogram, programSegment, segment, useByteAddresses`

Constructor Summary
`RawModule(boolean cs, boolean ba)`

Method Summary
`void` | `addBytes(AbstractToken b1, AbstractToken b2)`
`void` | `addBytes(AbstractToken b1, AbstractToken b2, AbstractToken b3, AbstractToken b4)`
`void` | `enterSection(AbstractToken sect)`
`void` | `newSection(AbstractToken name, AbstractToken vma, AbstractToken lma)`
`void` | `setAddress(AbstractToken addr)`
`protected void` | `simplify(Item i)`

Methods inherited from class avrora.syntax.Module
`addConstant, addDataBytes, addDataDoubleWords, addDataWords, addDefinition, addInstruction, addInstruction, addInstruction, addInstruction, addLabel, addRegisterName, addVariable, align, build, enterDataSegment, enterEEPROMSegment, enterProgramSegment, getRegister, getVariable, includeFile, newOperand, newOperand, reserveBytes, setOrigin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### section

    protected avrora.syntax.objdump.RawModule.Section section

### currentAddress

    protected int currentAddress

### sectionMap

    protected java.util.HashMap sectionMap

Constructor Detail

### RawModule

    public RawModule(boolean cs,
                     boolean ba)

Method Detail

### newSection

    public void newSection(AbstractToken name,
                           AbstractToken vma,
                           AbstractToken lma)

### enterSection

    public void enterSection(AbstractToken sect)

### addBytes

    public void addBytes(AbstractToken b1,
                         AbstractToken b2)

### addBytes

    public void addBytes(AbstractToken b1,
                         AbstractToken b2,
                         AbstractToken b3,
                         AbstractToken b4)

### setAddress

    public void setAddress(AbstractToken addr)

### simplify

    protected void simplify(Item i)

  Overrides:
    `simplify` in class `Module`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD